class Beverage(object):

    def get_description(self):
        return "beverage"

    def get_cost(self):
        return 0.00
        
class BeverageDecorator(Beverage):

    def __init__(self, beverage):
        super(BeverageDecorator, self).__init__()  # not really needed here
        self.beverage = beverage
        
         
class Coffee(Beverage):

    def get_description(self):
        return "normal coffee"

    def get_cost(self):
        return 3.00
              
class Milk(BeverageDecorator):

    def get_description(self):
        return self.beverage.get_description() + ", with  milk"

    def get_cost(self):
        return self.beverage.get_cost() + 0.30
        

coffee_with_milk = Milk(Coffee())
print coffee_with_milk.get_description()
print "Price:", coffee_with_milk.get_cost()
