#!/usr/bin/env python
#coding=utf-8

"""
Advanced Python Autumn School in Trento, 2010
Solution to OOP and Design Patterns, Exercise 3

by: Zbyszek Szmek, Bartosz Telenczuk
"""

class ASCIIIterable(object):
    def __init__(self, str):
        self.str = str
    def __iter__(self):
        return ASCIIIterator(self.str)

class ASCIIIterator(object):
    def __init__(self, str): 
        self.offset=-1
        self.str=str
    def next(self):
        self.offset+=1
        try: 
            return ord(self.str[self.offset])
        except IndexError:
            raise StopIteration()


if __name__ == "__main__":

    ascii_iter = ASCIIIterable("Python School in Trento")

    for ch in ascii_iter:
        print ch
